#!/bin/zsh

# Inference
# Kernel - Update

# Copyright 2023 Inference
# SPDX-License-Identifier: BSD-3-Clause-Clear

# Version: 0.0.0.0


read KVER

doas zsh -c \
		"mount /dev/nvme0n1p1 /boot/ &&
		make --jobs 4 &&
		make install &&
		make modules_install &&
		dracut --kver=${KVER} --compress=zstd --force -a crypt &&
		grub-mkconfig -o /boot/grub/grub.cfg &&
		umount /boot/"
